Bug 241082 - Review Request: R-tkWidgets-1.14.0 - Widgets to provide user interfaces
Review Request: R-tkWidgets-1.14.0 - Widgets to provide user interfaces
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 241079
Blocks: 240500
  Show dependency treegraph
 
Reported: 2007-05-23 18:35 EDT by Pierre-Yves
Modified: 2007-12-04 17:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-04 17:56:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-05-23 18:35:11 EDT
Spec URL: http://pingoured.dyndns.org/public/RPM/R-tkWidgets/R-tkWidgets.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/R-tkWidgets/R-tkWidgets-1.14.0-2.fc6.src.rpm
Description: 
Widgets to provide user interfaces. tcltk should have been installed for the 
widgets to run.
Comment 1 Pierre-Yves 2007-07-10 17:23:30 EDT
Based on the R packaging guidelines

There are the new files:
SPEC:
http://pingoured.dyndns.org/public/RPM/R-tkWidgets/R-tkWidgets.spec
SRPM:
http://pingoured.dyndns.org/public/RPM/R-tkWidgets/R-tkWidgets-1.14.0-4.fc6.src.rpm

Thanks :)
Comment 2 Jason Tibbitts 2007-09-29 16:42:44 EDT
Looks like this depends on R-DynDoc.
Comment 3 Jason Tibbitts 2007-09-29 18:15:42 EDT
Went ahead and knocked DynDoc out and stuck it in a local repo so I can review this.

The License: tag needs a tweak for the new scheme.  Unfortunately, I can't
figure out what it might be; there's no actual mention of the LGPL in the
tarball apart from the DESCRIPTION file which just says "License: LGPL".  The
code itself has unpleasant "All rights reserved" copyright notices.

I think you will need to ping upstream and see if they can clarify.

I note ths doesn't build without R-DynDoc, but does it have any runtime
requirements on it?  Similarly for R-widgetTools and the tcl/tk stuff. 
Currently you can install this with only R being present on the system, but I
don't know if it will actually work.

* source files match upstream:
   226255e21582779ec7a2df43eecf58d19fb87f1bc9fb94e4f554b834d409fed5  
   tkWidgets_1.14.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
? license field matches the actual license.
? license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is sufficiently silent.
X final provides and requires are missing some dependencies:
   R-tkWidgets = 1.14.0-4.fc8
  =
   /bin/sh
   R

* %check is present but I'm not sure there are any tests to run.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (R module registration)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 4 Pierre-Yves 2007-09-29 19:19:05 EDT
I will send him an email about this question.

Would you like to be add in Cc ?
Comment 5 Jason Tibbitts 2007-09-29 19:31:34 EDT
You can CC me if you wish, or just note the results in this ticket.  Either way
works for me.
Comment 6 Pierre-Yves 2007-09-29 20:00:43 EDT
>I note ths doesn't build without R-DynDoc, but does it have any runtime
>requirements on it?  Similarly for R-widgetTools and the tcl/tk stuff. 
>Currently you can install this with only R being present on the system, but I
>don't know if it will actually work.

R libraries call functions that are included in other libraries, I believe this
is the reason why they are depending on each other.
The tcl/tk interfaces is also used for example when you have two time the same
function (different functions but with the same name) on different packages, and
you ask for the help file of the function, it loads then an interface where you
can choice which help you want to consult.

To check whether the package work you can first run R and load the library using
library() => list all libraries installed
library(tkWidgets) => load this library

You can also find there some example implement for this library 
http://bioconductor.org/packages/2.0/bioc/vignettes/tkWidgets/inst/doc/tkWidgets.pdf


I have mailed the maintainer of this package, he is now out of office, but do
not precise when he will be back

Regards

Comment 7 Jason Tibbitts 2007-09-29 20:30:02 EDT
> R libraries call functions that are included in other libraries, I believe 
> this is the reason why they are depending on each other.

Yes, I understand that, but my complaint is precisely that this package, when
built, does not depend on any other R packages.  You have them as BuildRequires:
but not Requires:, and rpm will not figure out R dependencies automatically as
it will for Perl packages.
Comment 8 Pierre-Yves 2007-10-03 13:57:24 EDT
> You have them as BuildRequires but not Requires

My mistakes, I forgot to add them at their place...

There is the new SPEC and SRPM, however I still have no answer from either the
maintainer of this package or the one of maanova...
I have kept the license as LGPL for now..

SPEC:
http://www.pingoured.fr/public/RPM/R-tkWidgets/R-tkWidgets.spec
SRPM:
http://www.pingoured.fr/public/RPM/R-tkWidgets/R-tkWidgets-1.14.0-6.fc6.src.rpm

Thanks
Regards
Comment 9 Pierre-Yves 2007-10-12 18:47:16 EDT
I just received the answer from the developer.
He said :

"The license of the whole package is LGPL. If part of the code is used outside of 
the package, I need to be contacted.

Hope this helps."

Thanks,
Comment 10 Jason Tibbitts 2007-10-12 19:53:16 EDT
Well, that's not very specific as to things like the version of the LGPL.  I
guess we can say LGPL+ to allow any version, but please also include your
correspondence with the author as a text file in the package.

With those changes I believe I'd approve this package, but I'm trying to make
sure and can't seem reach www.pingoured.fr to get the updated spec.
Comment 11 Pierre-Yves 2007-10-13 01:56:45 EDT
Sorry for the inconvenience the server has been deplaced and I have tried to
have it working yesterday but could not manage to do it.

I will contact you on irc once it is back.

Regards
Comment 12 Jason Tibbitts 2007-10-14 15:18:58 EDT
You can put it on your fedorapeople.org page, mail it to me or just attach the
spec here if you like.
Comment 14 Jason Tibbitts 2007-10-15 12:22:02 EDT
I talked to spot and he indicated that what I wrote above is incorrect; we
should not just assume LGPL+ unless we have no other choice.  So since the
author is responding, we need to ask him what version of the LGPL this package
is under.
Comment 15 Pierre-Yves 2007-10-15 14:41:34 EDT
it seems that my server has some trouble..

These address should be working:
http://pingoured.dyndns.org/public/RPM/R-tkWidgets/R-tkWidgets.spec
http://pingoured.dyndns.org/public/RPM/R-tkWidgets/R-tkWidgets-1.14.0-7.fc6.src.rpm

I will send a new email to the author about the version of the LGPL used here.

Thanks
Comment 16 Pierre-Yves 2007-10-15 14:56:01 EDT
I just received the answer

"
> Could yo tell me which version of the LGPL license is used for this 
> >library ?

Most BioC libraries are going to be licensed under "The Artistic License, 
Verison 2.0". I am going to change the license to that soon."

Should we changed it now ?
Comment 17 Jason Tibbitts 2007-10-15 15:26:50 EDT
This is like some kind of bad joke.

I honestly don't know if we can change the license tag now, without some
statement from the author that he has relicensed the current version.
Comment 18 Tom "spot" Callaway 2007-10-15 15:28:10 EDT
Either wait for him to make a new release under Artistic 2.0, or use "LGPLv2+"
until he releases a new version.
Comment 19 Pierre-Yves 2007-10-15 17:45:13 EDT
I would go for the second solution and wait the new release to change the
license tag.

To change the license tag I "just" have to make a new release, isn't it ? (and
as I actually package only the "stable" libraries from bioconductor, the new
release will be in some months)

Thanks
Comment 20 Pierre-Yves 2007-10-18 04:07:02 EDT
The new file has been uploaded:

There are the new 
SPEC
http://pingoured.dyndns.org/public/RPM/R-tkWidgets/R-tkWidgets.spec
SRPM
http://pingoured.dyndns.org/public/RPM/R-tkWidgets/R-tkWidgets-1.16.0-1.fc6.src.rpm

Thanks
Comment 21 Jason Tibbitts 2007-10-23 23:57:34 EDT
Looks good.  The dependency list is now:
   R-tkWidgets = 1.16.0-1.fc8
  =
   /bin/sh
   R
   R-DynDoc
   R-widgetTools

The sources still match upstream:
   581fa8417a68e7303eb76e52cfd500922ebb3206c1ac6f1b05a3b218cfb07840  
   tkWidgets_1.16.0.tar.gz

And the license, well, Artistic 2.0 is OK.  It would sure be nice if these folks
paid attention to just the basics about how to put license statements in their
code and such, but at least we have enough now to go on.

APPROVED
Comment 22 Alex Lancaster 2007-11-11 20:18:59 EST
Pierre-Yves: this looks like it's been approved, can you build this now, it's
needed for reviewing: bug #240500.
Comment 23 Pierre-Yves 2007-11-12 02:42:56 EST
New Package CVS Request
=======================
Package Name: R-tkWidgets
Short Description: Widgets to provide user interfaces
Owners: Pierre-YvesChibon
Branches: F-7, F-8
Cvsextras Commits: yes
Comment 24 Kevin Fenzi 2007-11-12 12:27:21 EST
Please use your Fedora Account System login for Owners... 

cvs done.
Comment 25 Alex Lancaster 2007-11-18 07:53:54 EST
There's a problem with this package, because it installs into
/usr/share/R/library/ rather than /usr/lib/R/library/ R can't find the package
at run-time (this also applies to R-widgetTools and R-DynDoc).  I know this is
the case, because if I create symlinks like so:

ln -s /usr/share/R/library/tkWidgets/ /usr/lib/R/library/tkWidgets

everything works, so it appears that something isn't being set by the install
that tells R to also look in /usr/share/R/library/
Comment 26 Alex Lancaster 2007-11-18 07:54:37 EST
e.g. here's how to reproduce this:

R
> library(tkWidgets)
Error in library(tkWidgets) : there is no package called 'tkWidgets'
Comment 27 Pierre-Yves 2007-11-18 08:15:34 EST
> library(tkWidgets)
Loading required package: widgetTools
Loading required package: tcltk
Loading Tcl/Tk interface ... done
Loading required package: DynDoc
Loading required package: tools

$ rpm -q R-tkWidgets
R-tkWidgets-1.16.0-1.fc8
$ rpm -q R
R-2.6.0-3.fc8.1

Seems to work fine for me...
Comment 28 Alex Lancaster 2007-11-18 08:58:38 EST
ok, was a problem with me setting R_LIBS in ~/.Renviron.  Setting this should
not override any of the system locations, however.  Will file another bug about
this later since this is not a problem with this particular package.

Note You need to log in before you can comment on or make changes to this bug.